Name: x11-driver-video-apm
Version: 1.3.0
Release: %mkrel 2
Summary: X.org driver for Alliance Promotion
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-apm-%{version}.tar.bz2
License: MIT
ExclusiveArch: %ix86 x86_64
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-apm is the X.org driver for Alliance Promotion.

%prep
%setup -q -n xf86-video-apm-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/apm_drv.so
%{_mandir}/man4/apm.*


%changelog
* Wed Feb 19 2020 tv <tv> 1.3.0-2.mga8
+ Revision: 1544088
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Feb 17 2019 tv <tv> 1.3.0-1.mga7
+ Revision: 1367943
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.2.5-21.mga7
+ Revision: 1301747
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 1.2.5-20.mga7
+ Revision: 1238586
- fix build on aarch64
- drop .la files
- use new make macros
- drop old conflicts

* Fri Mar 09 2018 tv <tv> 1.2.5-19.mga7
+ Revision: 1207703
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.2.5-18.mga6
+ Revision: 1067780
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.2.5-17.mga6
+ Revision: 1043229
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.2.5-16.mga6
+ Revision: 963363
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.2.5-15.mga6
+ Revision: 902286
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.2.5-14.mga6
+ Revision: 902046
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.2.5-13.mga6
+ Revision: 836002
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-12.mga5
+ Revision: 743522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-11.mga5
+ Revision: 690419
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.2.5-10.mga5
+ Revision: 635006
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.2.5-9.mga5
+ Revision: 633662
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.2.5-8.mga5
+ Revision: 614350
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.2.5-7.mga5
+ Revision: 582304
- patch 0: fix build with xserver-1.14

* Fri Dec 06 2013 tmb <tmb> 1.2.5-6.mga4
+ Revision: 555584
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 1.2.5-5.mga4
+ Revision: 525406
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.2.5-4.mga4
+ Revision: 433142
- submit to core/release

* Fri May 24 2013 tv <tv> 1.2.5-3.mga4
+ Revision: 426046
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.2.5-3.mga3
+ Revision: 385972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.2.5-2.mga3
+ Revision: 288951
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.2.5-1.mga3
+ Revision: 273821
- new release
- new release

* Wed Jun 06 2012 tmb <tmb> 1.2.4-4.mga3
+ Revision: 256350
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.2.4-3.mga3
+ Revision: 253001
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.2.4-2.mga3.nonfree
+ Revision: 250210
- rebuild for new X.org server

* Wed May 30 2012 tv <tv> 1.2.4-1.mga3
+ Revision: 249925
- new release

* Tue Dec 06 2011 tmb <tmb> 1.2.3-6.mga2
+ Revision: 177531
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.2.3-5.mga2
+ Revision: 153107
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.2.3-4.mga1
+ Revision: 64386
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.2.3-3.mga1
+ Revision: 50178
- imported package x11-driver-video-apm

